List Tickets

This endpoint retrieves a detailed list of tickets. The endpoint supports filtering and sorting based on various criteria.

A ticket is a service request or an issue raised by a client or an MSP, enriched with details about the requester, the client, issue summary, and other issue-related details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field owner_member.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[owner_member.id]=example_value - to filter for exact match.

  • filter[owner_member.id]=eq:example_value - to filter for exact match.

  • filter[owner_member.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field responsible_member.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[responsible_member.id]=example_value - to filter for exact match.

  • filter[responsible_member.id]=eq:example_value - to filter for exact match.

  • filter[responsible_member.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field client.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[client.id]=example_value - to filter for exact match.

  • filter[client.id]=eq:example_value - to filter for exact match.

  • filter[client.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field client.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[client.name]=example_value - to filter for exact match.

  • filter[client.name]=eq:example_value - to filter for exact match.

  • filter[client.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[client.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field contact.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[contact.id]=example_value - to filter for exact match.

  • filter[contact.id]=eq:example_value - to filter for exact match.

  • filter[contact.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field contract.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[contract.id]=example_value - to filter for exact match.

  • filter[contract.id]=eq:example_value - to filter for exact match.

  • filter[contract.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field contract.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[contract.name]=example_value - to filter for exact match.

  • filter[contract.name]=eq:example_value - to filter for exact match.

  • filter[contract.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[contract.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field board.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[board.id]=example_value - to filter for exact match.

  • filter[board.id]=eq:example_value - to filter for exact match.

  • filter[board.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field board.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[board.name]=example_value - to filter for exact match.

  • filter[board.name]=eq:example_value - to filter for exact match.

  • filter[board.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field category.

Possible values: INCIDENT, NETWORK_INCIDENT, FIREWALL_INCIDENT, ROUTER_INCIDENT, WIFI_INCIDENT, CONNECTIVITY_INCIDENT, SERVER_INCIDENT, HARDWARE_INCIDENT, WORKSTATION_INCIDENT, SHARED_PERIPHERAL_INCIDENT, MOBILE_DEVICE_INCIDENT, STORAGE_INCIDENT, SOFTWARE_INCIDENT, CLIENT_SOFTWARE_INCIDENT, SERVER_SOFTWARE_INCIDENT, COMMUNICATION_SYSTEM_INCIDENT, PHONE_SYSTEM_INCIDENT, MESSAGING_SYSTEM_INCIDENT, VIDEO_CONFERENCING_INCIDENT, SERVICE_REQUEST, NETWORK_REQUEST, FIREWALL_REQUEST, ROUTER_REQUEST, WIFI_REQUEST, CONNECTIVITY_REQUEST, HARDWARE_REQUEST, WORKSTATION_REQUEST, SERVER_REQUEST, SHARED_PERIPHERAL_REQUEST, MOBILE_DEVICE_REQUEST, ASSET_DISPOSAL_REQUEST, SOFTWARE_REQUEST, CLIENT_SOFTWARE_REQUEST, SERVER_SOFTWARE_REQUEST, COMMUNICATION_SYSTEM_REQUEST, PHONE_SYSTEM_REQUEST, MESSAGING_SYSTEM_REQUEST, VIDEO_CONFERENCING_REQUEST, IT_MANAGEMENT, CYBERSECURITY_MANAGEMENT, BREACH, MALWARE, DISASTER_RECOVERY, BACKUP_FAILURE, RESTORATION, DISASTER_RECOVERY_PLAN, DOCUMENTATION_TRAINING, DOCUMENTATION, TRAINING, USER_MANAGEMENT, USER_CREATION, USER_DELETION, USER_ACCESS_MODIFICATION, AUDIT, COMPLIANCE_AUDIT, FINANCIAL_AUDIT, GENERAL_MANAGEMENT, PROJECT_MANAGEMENT, CHANGE_MANAGEMENT, STRATEGIC_PLANNING, BUDGETING, UNASSIGNED.

Supports comparison operators: eq, in.

Query examples:

  • filter[category]=INCIDENT - to filter for exact match.

  • filter[category]=eq:INCIDENT - to filter for exact match.

  • filter[category]=in:INCIDENT,NETWORK_INCIDENT,FIREWALL_INCIDENT - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field is_child_ticket.

Supports comparison operators: eq.

Query examples:

  • filter[is_child_ticket]=true - to filter for exact match.

  • filter[is_child_ticket]=eq:true - to filter for exact match.

string
^(eq):.+$

Filters records by using a query string on the field is_long_ticket.

Supports comparison operators: eq.

Query examples:

  • filter[is_long_ticket]=true - to filter for exact match.

  • filter[is_long_ticket]=eq:true - to filter for exact match.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field timeline.created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[timeline.created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[timeline.created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[timeline.created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[timeline.created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field timeline.updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[timeline.updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[timeline.updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[timeline.updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[timeline.updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field timeline.responded_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[timeline.responded_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[timeline.responded_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[timeline.responded_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[timeline.responded_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field timeline.planned_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[timeline.planned_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[timeline.planned_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[timeline.planned_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[timeline.planned_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field timeline.resolved_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[timeline.resolved_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[timeline.resolved_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[timeline.resolved_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[timeline.resolved_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field timeline.closed_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[timeline.closed_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[timeline.closed_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[timeline.closed_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[timeline.closed_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(eq):.+$

Filters records by using a query string on the field sla.is_response_in_sla.

Supports comparison operators: eq.

Query examples:

  • filter[sla.is_response_in_sla]=true - to filter for exact match.

  • filter[sla.is_response_in_sla]=eq:true - to filter for exact match.

string
^(eq):.+$

Filters records by using a query string on the field sla.is_plan_in_sla.

Supports comparison operators: eq.

Query examples:

  • filter[sla.is_plan_in_sla]=true - to filter for exact match.

  • filter[sla.is_plan_in_sla]=eq:true - to filter for exact match.

string
^(eq):.+$

Filters records by using a query string on the field sla.is_resolution_in_sla.

Supports comparison operators: eq.

Query examples:

  • filter[sla.is_resolution_in_sla]=true - to filter for exact match.

  • filter[sla.is_resolution_in_sla]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field status.current.

Possible values: NEW, ASSIGNED, SCHEDULED, TRIAGE, IN_PROGRESS, WAITING_CLIENT, WAITING_VENDOR, CANCELLED, COMPLETED, CLOSED, REOPENED, ESCALATED, CLIENT_RESPONDED, UNASSIGNED.

Supports comparison operators: eq, in.

Query examples:

  • filter[status.current]=NEW - to filter for exact match.

  • filter[status.current]=eq:NEW - to filter for exact match.

  • filter[status.current]=in:NEW,ASSIGNED,SCHEDULED - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field priority.current.

Possible values: 1, 2, 3, 4, 5, UNASSIGNED.

Supports comparison operators: eq, in.

Query examples:

  • filter[priority.current]=1 - to filter for exact match.

  • filter[priority.current]=eq:1 - to filter for exact match.

  • filter[priority.current]=in:1,2,3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field impact.

Supports comparison operators: eq, in.

Query examples:

  • filter[impact]=example_value - to filter for exact match.

  • filter[impact]=eq:example_value - to filter for exact match.

  • filter[impact]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field severity.

Supports comparison operators: eq, in.

Query examples:

  • filter[severity]=example_value - to filter for exact match.

  • filter[severity]=eq:example_value - to filter for exact match.

  • filter[severity]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(id|client\.name|is_child_ticket|is_long_ticket|timeline\.created_at|timeline\.updated_at|timeline\.responded_at|timeline\.planned_at|timeline\.resolved_at|timeline\.closed_at|sla\.is_response_in_sla|sla\.is_plan_in_sla|sla\.is_resolution_in_sla|status\.current|priority\.current|impact|severity|record_created_at|record_updated_at)(,[+-]?(id|client\.name|is_child_ticket|is_long_ticket|timeline\.created_at|timeline\.updated_at|timeline\.responded_at|timeline\.planned_at|timeline\.resolved_at|timeline\.closed_at|sla\.is_response_in_sla|sla\.is_plan_in_sla|sla\.is_resolution_in_sla|status\.current|priority\.current|impact|severity|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: id, client.name, is_child_ticket, is_long_ticket, timeline.created_at, timeline.updated_at, timeline.responded_at, timeline.planned_at, timeline.resolved_at, timeline.closed_at, sla.is_response_in_sla, sla.is_plan_in_sla, sla.is_resolution_in_sla, status.current, priority.current, impact, severity, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json